### Method

# GLib Source add_poll

#### Declaration [src]

    void
    g_source_add_poll (
      GSource* source,
      GPollFD* fd
    )

#### Description [src]

Adds a file descriptor to the set of file descriptors polled for this source.

This is usually combined with `g_source_new()` to add an event source. The event source’s check function will typically test the `revents` field in the `GPollFD` struct and return true if events need to be processed.

This API is only intended to be used by implementations of `GSource`. Do not call this API on a `GSource` that you did not create.

Using this API forces the linear scanning of event sources on each main loop iteration. Newly-written event sources should try to use `g_source_add_unix_fd()` instead of this API.

#### Parameters

`fd`

  Type: `GPollFD`

  A `GPollFD` structure holding information about a file descriptor to watch.

  The data is owned by the caller of the method.